import http from '../utils/http/http.js'
// 获取资源列表
const getProductList = (params) => {
    return http.post('/api/productAll', params)
};
// 获取资源详情
const getProductDetail = (params) => {
    return http.get('/api/product', params)
};
// 添加资源
const addProduct = (params) => {
    return http.post('/api/product', params)
};
// 修改资源
const updateProduct = (params) => {
    return http.put('/api/product', params)
};
// 上传配套资源
const uploadFile = (params) => {
    return http.post('/api/file', params)
};
// 删除资源
const deleteProduct = (params) => {
    return http.del('/api/product', params)
}
export default {
    getProductList, getProductDetail, addProduct, updateProduct, deleteProduct, uploadFile
}